var http = require("http");
var config = require("./config.json");
var fs = require("fs");

http.createServer(function(req, res){
    console.log(req.url);
    if(req.url == "/"){
        fs.readFile("./index.html", function(err,data){
            res.end(data.toString());
        });
    }else{
        fs.readFile("./"+req.url, function(error, data){
            if(error){
                res.writeHead(404, {"Content-Type :": "text/html"});
                res.write("<h1> 404 | page requested is not found on the server </h1>");
                res.end();
            }else{
                res.writeHead(200, {"Content-Type :": "text/html"});
                res.end(data.toString());
            }
        });
    }


}).listen(config.port, config.host, function(){
    console.log("your server is now running on 5566");
});